export interface CalculateOverlayPositionOptions {
    /** The closest parent element that is `position: relative` */
    relativeElement: HTMLElement;
    /** The DOM Node that was hovered */
    target: HTMLElement;
    /** The DOM Node of the tooltip */
    hoverOverlayElement: HTMLElement;
}
export interface CSSOffsets {
    /** Offset from the left in pixel */
    left: number;
    /** Offset from the top in pixel */
    top: number;
}
/**
 * Calculates the desired position of the hover overlay depending on the container,
 * the hover target and the size of the hover overlay
 */
export declare const calculateOverlayPosition: ({ relativeElement, target, hoverOverlayElement, }: CalculateOverlayPositionOptions) => CSSOffsets;
//# sourceMappingURL=overlay_position.d.ts.map