import { Observable, Subscribable } from 'rxjs';
import { DiffPart, DOMFunctions, HoveredToken } from './token_position';
export declare type SupportedMouseEvent = 'click' | 'mousemove' | 'mouseover';
export interface PositionEvent {
    /**
     * The event object
     */
    event: MouseEvent;
    /**
     * The type of mouse event that caused this to emit.
     */
    eventType: SupportedMouseEvent;
    /**
     * The position of the token that the event occured at.
     * or undefined when a target was hovered/clicked that does not correspond to a position (e.g. after the end of the line)
     */
    position: HoveredToken | undefined;
    /**
     * The current code view.
     */
    codeView: HTMLElement;
}
export { DOMFunctions, DiffPart };
export declare const findPositionsFromEvents: ({ domFunctions, tokenize, }: {
    domFunctions: DOMFunctions;
    tokenize?: boolean | undefined;
}) => (elements: Subscribable<HTMLElement>) => Observable<PositionEvent>;
//# sourceMappingURL=positions.d.ts.map